Activation Group¶
Retrieves A Activation Group¶
HTTP Request
GET /api/v1/activation-groups/{id}
📋 Description: Fetches detailed information about a specific activation group identified by its unique ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
The unique identifier of the activation group to retrieve. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved activation group |
Example Responses
1{
2 "code": "OK",
3 "message": "Successfully retrieved an activation group.",
4 "defaultMessage": "Operation completed successfully.",
5 "debugMessage": "No errors occurred during the query execution.",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {
18 "id": 10000001,
19 "displayId": "AG-100000000",
20 "principalPositionType": "LESSEE",
21 "name": "Test2",
22 "description": "test2",
23 "approverComment": "Approved after review",
24 "snapshotData": {
25 "isParallelCurrencyEnabled": true,
26 "isCostCenterAllocationEnabled": false,
27 "useSpotRateForGroupCurrency": true,
28 "exchangeRateTypes": [
29 {
30 "currencyDefinitionType": "CONTRACT_CURRENCY",
31 "sourceCurrencyType": "COMPANY_CURRENCY",
32 "translationDateType": "POSTING_DATE",
33 "targetCurrency": {
34 "id": "string",
35 "displayId": "US Dollar",
36 "decimalPoints": 2
37 },
38 "referenceCurrency": {
39 "id": "string",
40 "displayId": "Euro"
41 },
42 "currencyType": "GROUP_CURRENCY",
43 "exchangeRateType": "STANDARD"
44 }
45 ]
46 },
47 "revision": {
48 "id": 10000001,
49 "displayId": "0374999413-20250903-161147",
50 "name": "Inception",
51 "inception": true,
52 "revisionType": "REVISION",
53 "state": "MLA_DEFINE",
54 "approvedBy": "approver.admin@nakisa.com",
55 "approvedAt": "2019-08-24T14:15:22Z",
56 "parentRevisionId": 10000000,
57 "approverComment": "Approved after financial validation.",
58 "rouStartDate": "2025-08-01",
59 "rouEndDate": "2025-08-20",
60 "activationGroupModification": {
61 "modificationDate": "2025-08-15",
62 "terminationType": "CASUALTY",
63 "terminationDate": {
64 "timing": "START_OF_DAY",
65 "year": 2025,
66 "monthValue": 9,
67 "dayOfMonth": 4,
68 "dayOfWeek": "THURSDAY",
69 "leapYear": false,
70 "dayOfYear": 247,
71 "month": "SEPTEMBER"
72 },
73 "useManualFmvValue": true,
74 "useManualAssetValues": false,
75 "enforceNonLeaseOnIndexation": false,
76 "applyIndexationLease": true,
77 "applyIndexationNonLease": false,
78 "indexationTreatmentType": "DEFAULT",
79 "indexationStartDate": "2025-09-01",
80 "indexationDateType": "USER_DEFINED",
81 "indexationStartDateNonLease": "2025-09-10",
82 "indexationDateTypeNonLease": "USER_DEFINED",
83 "modificationReasons": [
84 "CONTRACT_RATE_CHANGE",
85 "INDEXATION"
86 ],
87 "modificationPerClassificationList": [
88 {
89 "accountingStandardId": 1001,
90 "classificationType": "NON_LEASE",
91 "accountingStandardType": "IFRS",
92 "impairmentAmount": 2500.5,
93 "recoverableAmount": 2000,
94 "decreaseInAsset": 1500,
95 "decreaseInTerm": 6
96 }
97 ],
98 "massIndexationTaskId": 987654
99 },
100 "activationGroupId": 10000001,
101 "activationGroupDisplayId": "AG-100000000",
102 "activationGroupName": "Test2",
103 "leaseComponentRevisionId": 10000007,
104 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
105 "lastLeaseComponentRevisionId": 10000006,
106 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
107 "clonedFromRevisionId": 10000002,
108 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
109 "lockReason": "PENDING_TERMINATION",
110 "infiniteUsefulLife": false,
111 "transferOfOwnership": false,
112 "specializedAsset": false,
113 "fairMarketValue": 1,
114 "residualValue": 1,
115 "endOfTermIntention": "TO_BE_DETERMINED",
116 "endOfTermDate": "2025-08-11",
117 "endOfTermPeriod": 9,
118 "activationDocumentDate": "2019-08-24",
119 "activationPostingDate": "2019-08-24",
120 "closingDocumentDate": "2019-08-24",
121 "closingPostingDate": "2019-08-24",
122 "numberRangeIdentifierType": {
123 "name": "COMPANY_CODE"
124 },
125 "numberRangeIdentifierValue": "1000",
126 "numberRangeType": {
127 "name": "CONTRACT"
128 },
129 "allowsSystemGenerateNewId": false
130 },
131 "leaseComponentId": 10000007,
132 "leaseComponentDisplayId": "LC-100000200",
133 "companyCodeId": 10000002,
134 "companyCodeDisplayId": "1000",
135 "splittedFromActivationGroupRevisionId": {
136 "id": 10000001,
137 "displayId": "0374999413-20250903-161147",
138 "name": "Inception",
139 "inception": true,
140 "revisionType": "REVISION",
141 "state": "MLA_DEFINE",
142 "approvedBy": "approver.admin@nakisa.com",
143 "approvedAt": "2019-08-24T14:15:22Z",
144 "parentRevisionId": 10000000,
145 "approverComment": "Approved after financial validation.",
146 "rouStartDate": "2025-08-01",
147 "rouEndDate": "2025-08-20",
148 "activationGroupModification": {
149 "modificationDate": "2025-08-15",
150 "terminationType": "CASUALTY",
151 "terminationDate": {
152 "timing": "START_OF_DAY",
153 "year": 2025,
154 "monthValue": 9,
155 "dayOfMonth": 4,
156 "dayOfWeek": "THURSDAY",
157 "leapYear": false,
158 "dayOfYear": 247,
159 "month": "SEPTEMBER"
160 },
161 "useManualFmvValue": true,
162 "useManualAssetValues": false,
163 "enforceNonLeaseOnIndexation": false,
164 "applyIndexationLease": true,
165 "applyIndexationNonLease": false,
166 "indexationTreatmentType": "DEFAULT",
167 "indexationStartDate": "2025-09-01",
168 "indexationDateType": "USER_DEFINED",
169 "indexationStartDateNonLease": "2025-09-10",
170 "indexationDateTypeNonLease": "USER_DEFINED",
171 "modificationReasons": [
172 "CONTRACT_RATE_CHANGE",
173 "INDEXATION"
174 ],
175 "modificationPerClassificationList": [
176 {
177 "accountingStandardId": 1001,
178 "classificationType": "NON_LEASE",
179 "accountingStandardType": "IFRS",
180 "impairmentAmount": 2500.5,
181 "recoverableAmount": 2000,
182 "decreaseInAsset": 1500,
183 "decreaseInTerm": 6
184 }
185 ],
186 "massIndexationTaskId": 987654
187 },
188 "activationGroupId": 10000001,
189 "activationGroupDisplayId": "AG-100000000",
190 "activationGroupName": "Test2",
191 "leaseComponentRevisionId": 10000007,
192 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
193 "lastLeaseComponentRevisionId": 10000006,
194 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
195 "clonedFromRevisionId": 10000002,
196 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
197 "lockReason": "PENDING_TERMINATION",
198 "infiniteUsefulLife": false,
199 "transferOfOwnership": false,
200 "specializedAsset": false,
201 "fairMarketValue": 1,
202 "residualValue": 1,
203 "endOfTermIntention": "TO_BE_DETERMINED",
204 "endOfTermDate": "2025-08-11",
205 "endOfTermPeriod": 9,
206 "activationDocumentDate": "2019-08-24",
207 "activationPostingDate": "2019-08-24",
208 "closingDocumentDate": "2019-08-24",
209 "closingPostingDate": "2019-08-24",
210 "numberRangeIdentifierType": {
211 "name": "COMPANY_CODE"
212 },
213 "numberRangeIdentifierValue": "1000",
214 "numberRangeType": {
215 "name": "CONTRACT"
216 },
217 "allowsSystemGenerateNewId": false
218 },
219 "notifications": [
220 {
221 "id": 100045,
222 "topic": {
223 "enCaption": "Lease Component Updated",
224 "frCaption": "Composant de bail mis à jour",
225 "name": "LEASE_COMPONENT_UPDATED",
226 "priority": "HIGH"
227 },
228 "username": "jdoe",
229 "activationGroupId": 20000123,
230 "activationGroupDisplayId": "AG-100045",
231 "targetId": "jdoe@example.com",
232 "targetType": "USER"
233 }
234 ],
235 "transferInfo": {
236 "transferredFromDisplayId": "CTR-00012",
237 "transferredFromRevisionId": 20000001,
238 "transferredToDisplayId": "CTR-00015",
239 "transferredToRevisionId": 20000005
240 },
241 "numberRangeIdentifierType": {
242 "name": "COMPANY_CODE"
243 },
244 "numberRangeIdentifierValue": "1000",
245 "numberRangeType": {
246 "name": "CONTRACT"
247 },
248 "allowsSystemGenerateNewId": false
249 }
250}
Update A Activation Group¶
HTTP Request
PATCH /api/v1/activation-groups/{id}
📋 Description: Updates the specified activation group in the Nakisa Lease Accounting Suite
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier of the activation group to patch. |
body |
body |
false |
none |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
body |
|
body |
Body Parameters
1{
2 "op": "replace",
3 "path": "/name",
4 "value": "patched contract"
5}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully patched activation group. |
Example Responses
1{
2 "code": "OK",
3 "message": "Successfully retrieved an activation group.",
4 "defaultMessage": "Operation completed successfully.",
5 "debugMessage": "No errors occurred during the query execution.",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {
18 "id": 10000001,
19 "displayId": "AG-100000000",
20 "principalPositionType": "LESSEE",
21 "name": "Test2",
22 "description": "test2",
23 "approverComment": "Approved after review",
24 "snapshotData": {
25 "isParallelCurrencyEnabled": true,
26 "isCostCenterAllocationEnabled": false,
27 "useSpotRateForGroupCurrency": true,
28 "exchangeRateTypes": [
29 {
30 "currencyDefinitionType": "CONTRACT_CURRENCY",
31 "sourceCurrencyType": "COMPANY_CURRENCY",
32 "translationDateType": "POSTING_DATE",
33 "targetCurrency": {
34 "id": "string",
35 "displayId": "US Dollar",
36 "decimalPoints": 2
37 },
38 "referenceCurrency": {
39 "id": "string",
40 "displayId": "Euro"
41 },
42 "currencyType": "GROUP_CURRENCY",
43 "exchangeRateType": "STANDARD"
44 }
45 ]
46 },
47 "revision": {
48 "id": 10000001,
49 "displayId": "0374999413-20250903-161147",
50 "name": "Inception",
51 "inception": true,
52 "revisionType": "REVISION",
53 "state": "MLA_DEFINE",
54 "approvedBy": "approver.admin@nakisa.com",
55 "approvedAt": "2019-08-24T14:15:22Z",
56 "parentRevisionId": 10000000,
57 "approverComment": "Approved after financial validation.",
58 "rouStartDate": "2025-08-01",
59 "rouEndDate": "2025-08-20",
60 "activationGroupModification": {
61 "modificationDate": "2025-08-15",
62 "terminationType": "CASUALTY",
63 "terminationDate": {
64 "timing": "START_OF_DAY",
65 "year": 2025,
66 "monthValue": 9,
67 "dayOfMonth": 4,
68 "dayOfWeek": "THURSDAY",
69 "leapYear": false,
70 "dayOfYear": 247,
71 "month": "SEPTEMBER"
72 },
73 "useManualFmvValue": true,
74 "useManualAssetValues": false,
75 "enforceNonLeaseOnIndexation": false,
76 "applyIndexationLease": true,
77 "applyIndexationNonLease": false,
78 "indexationTreatmentType": "DEFAULT",
79 "indexationStartDate": "2025-09-01",
80 "indexationDateType": "USER_DEFINED",
81 "indexationStartDateNonLease": "2025-09-10",
82 "indexationDateTypeNonLease": "USER_DEFINED",
83 "modificationReasons": [
84 "CONTRACT_RATE_CHANGE",
85 "INDEXATION"
86 ],
87 "modificationPerClassificationList": [
88 {
89 "accountingStandardId": 1001,
90 "classificationType": "NON_LEASE",
91 "accountingStandardType": "IFRS",
92 "impairmentAmount": 2500.5,
93 "recoverableAmount": 2000,
94 "decreaseInAsset": 1500,
95 "decreaseInTerm": 6
96 }
97 ],
98 "massIndexationTaskId": 987654
99 },
100 "activationGroupId": 10000001,
101 "activationGroupDisplayId": "AG-100000000",
102 "activationGroupName": "Test2",
103 "leaseComponentRevisionId": 10000007,
104 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
105 "lastLeaseComponentRevisionId": 10000006,
106 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
107 "clonedFromRevisionId": 10000002,
108 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
109 "lockReason": "PENDING_TERMINATION",
110 "infiniteUsefulLife": false,
111 "transferOfOwnership": false,
112 "specializedAsset": false,
113 "fairMarketValue": 1,
114 "residualValue": 1,
115 "endOfTermIntention": "TO_BE_DETERMINED",
116 "endOfTermDate": "2025-08-11",
117 "endOfTermPeriod": 9,
118 "activationDocumentDate": "2019-08-24",
119 "activationPostingDate": "2019-08-24",
120 "closingDocumentDate": "2019-08-24",
121 "closingPostingDate": "2019-08-24",
122 "numberRangeIdentifierType": {
123 "name": "COMPANY_CODE"
124 },
125 "numberRangeIdentifierValue": "1000",
126 "numberRangeType": {
127 "name": "CONTRACT"
128 },
129 "allowsSystemGenerateNewId": false
130 },
131 "leaseComponentId": 10000007,
132 "leaseComponentDisplayId": "LC-100000200",
133 "companyCodeId": 10000002,
134 "companyCodeDisplayId": "1000",
135 "splittedFromActivationGroupRevisionId": {
136 "id": 10000001,
137 "displayId": "0374999413-20250903-161147",
138 "name": "Inception",
139 "inception": true,
140 "revisionType": "REVISION",
141 "state": "MLA_DEFINE",
142 "approvedBy": "approver.admin@nakisa.com",
143 "approvedAt": "2019-08-24T14:15:22Z",
144 "parentRevisionId": 10000000,
145 "approverComment": "Approved after financial validation.",
146 "rouStartDate": "2025-08-01",
147 "rouEndDate": "2025-08-20",
148 "activationGroupModification": {
149 "modificationDate": "2025-08-15",
150 "terminationType": "CASUALTY",
151 "terminationDate": {
152 "timing": "START_OF_DAY",
153 "year": 2025,
154 "monthValue": 9,
155 "dayOfMonth": 4,
156 "dayOfWeek": "THURSDAY",
157 "leapYear": false,
158 "dayOfYear": 247,
159 "month": "SEPTEMBER"
160 },
161 "useManualFmvValue": true,
162 "useManualAssetValues": false,
163 "enforceNonLeaseOnIndexation": false,
164 "applyIndexationLease": true,
165 "applyIndexationNonLease": false,
166 "indexationTreatmentType": "DEFAULT",
167 "indexationStartDate": "2025-09-01",
168 "indexationDateType": "USER_DEFINED",
169 "indexationStartDateNonLease": "2025-09-10",
170 "indexationDateTypeNonLease": "USER_DEFINED",
171 "modificationReasons": [
172 "CONTRACT_RATE_CHANGE",
173 "INDEXATION"
174 ],
175 "modificationPerClassificationList": [
176 {
177 "accountingStandardId": 1001,
178 "classificationType": "NON_LEASE",
179 "accountingStandardType": "IFRS",
180 "impairmentAmount": 2500.5,
181 "recoverableAmount": 2000,
182 "decreaseInAsset": 1500,
183 "decreaseInTerm": 6
184 }
185 ],
186 "massIndexationTaskId": 987654
187 },
188 "activationGroupId": 10000001,
189 "activationGroupDisplayId": "AG-100000000",
190 "activationGroupName": "Test2",
191 "leaseComponentRevisionId": 10000007,
192 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
193 "lastLeaseComponentRevisionId": 10000006,
194 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
195 "clonedFromRevisionId": 10000002,
196 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
197 "lockReason": "PENDING_TERMINATION",
198 "infiniteUsefulLife": false,
199 "transferOfOwnership": false,
200 "specializedAsset": false,
201 "fairMarketValue": 1,
202 "residualValue": 1,
203 "endOfTermIntention": "TO_BE_DETERMINED",
204 "endOfTermDate": "2025-08-11",
205 "endOfTermPeriod": 9,
206 "activationDocumentDate": "2019-08-24",
207 "activationPostingDate": "2019-08-24",
208 "closingDocumentDate": "2019-08-24",
209 "closingPostingDate": "2019-08-24",
210 "numberRangeIdentifierType": {
211 "name": "COMPANY_CODE"
212 },
213 "numberRangeIdentifierValue": "1000",
214 "numberRangeType": {
215 "name": "CONTRACT"
216 },
217 "allowsSystemGenerateNewId": false
218 },
219 "notifications": [
220 {
221 "id": 100045,
222 "topic": {
223 "enCaption": "Lease Component Updated",
224 "frCaption": "Composant de bail mis à jour",
225 "name": "LEASE_COMPONENT_UPDATED",
226 "priority": "HIGH"
227 },
228 "username": "jdoe",
229 "activationGroupId": 20000123,
230 "activationGroupDisplayId": "AG-100045",
231 "targetId": "jdoe@example.com",
232 "targetType": "USER"
233 }
234 ],
235 "transferInfo": {
236 "transferredFromDisplayId": "CTR-00012",
237 "transferredFromRevisionId": 20000001,
238 "transferredToDisplayId": "CTR-00015",
239 "transferredToRevisionId": 20000005
240 },
241 "numberRangeIdentifierType": {
242 "name": "COMPANY_CODE"
243 },
244 "numberRangeIdentifierValue": "1000",
245 "numberRangeType": {
246 "name": "CONTRACT"
247 },
248 "allowsSystemGenerateNewId": false
249 }
250}
Update Activation Groups In Bulk¶
HTTP Request
PUT /api/v1/activation-groups/bulk
📋 Description: Updates multiple activation groups in bulk within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
none |
Body Parameters
1[
2 {
3 "id": 10000001,
4 "displayId": "AG-100000000",
5 "principalPositionType": "LESSEE",
6 "name": "Test2",
7 "description": "test2",
8 "approverComment": "Approved after review",
9 "snapshotData": {
10 "isParallelCurrencyEnabled": true,
11 "isCostCenterAllocationEnabled": false,
12 "useSpotRateForGroupCurrency": true,
13 "exchangeRateTypes": [
14 {
15 "currencyDefinitionType": "CONTRACT_CURRENCY",
16 "sourceCurrencyType": "COMPANY_CURRENCY",
17 "translationDateType": "POSTING_DATE",
18 "targetCurrency": {
19 "id": "string",
20 "displayId": "US Dollar",
21 "decimalPoints": 2
22 },
23 "referenceCurrency": {
24 "id": "string",
25 "displayId": "Euro"
26 },
27 "currencyType": "GROUP_CURRENCY",
28 "exchangeRateType": "STANDARD"
29 }
30 ]
31 },
32 "revision": {
33 "id": 10000001,
34 "displayId": "0374999413-20250903-161147",
35 "name": "Inception",
36 "inception": true,
37 "revisionType": "REVISION",
38 "state": "MLA_DEFINE",
39 "approvedBy": "approver.admin@nakisa.com",
40 "approvedAt": "2019-08-24T14:15:22Z",
41 "parentRevisionId": 10000000,
42 "approverComment": "Approved after financial validation.",
43 "rouStartDate": "2025-08-01",
44 "rouEndDate": "2025-08-20",
45 "activationGroupModification": {
46 "modificationDate": "2025-08-15",
47 "terminationType": "CASUALTY",
48 "terminationDate": {
49 "timing": "START_OF_DAY",
50 "year": 2025,
51 "monthValue": 9,
52 "dayOfMonth": 4,
53 "dayOfWeek": "THURSDAY",
54 "leapYear": false,
55 "dayOfYear": 247,
56 "month": "SEPTEMBER"
57 },
58 "useManualFmvValue": true,
59 "useManualAssetValues": false,
60 "enforceNonLeaseOnIndexation": false,
61 "applyIndexationLease": true,
62 "applyIndexationNonLease": false,
63 "indexationTreatmentType": "DEFAULT",
64 "indexationStartDate": "2025-09-01",
65 "indexationDateType": "USER_DEFINED",
66 "indexationStartDateNonLease": "2025-09-10",
67 "indexationDateTypeNonLease": "USER_DEFINED",
68 "modificationReasons": [
69 "CONTRACT_RATE_CHANGE",
70 "INDEXATION"
71 ],
72 "modificationPerClassificationList": [
73 {
74 "accountingStandardId": 1001,
75 "classificationType": "NON_LEASE",
76 "accountingStandardType": "IFRS",
77 "impairmentAmount": 2500.5,
78 "recoverableAmount": 2000,
79 "decreaseInAsset": 1500,
80 "decreaseInTerm": 6
81 }
82 ],
83 "massIndexationTaskId": 987654
84 },
85 "activationGroupId": 10000001,
86 "activationGroupDisplayId": "AG-100000000",
87 "activationGroupName": "Test2",
88 "leaseComponentRevisionId": 10000007,
89 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
90 "lastLeaseComponentRevisionId": 10000006,
91 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
92 "clonedFromRevisionId": 10000002,
93 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
94 "lockReason": "PENDING_TERMINATION",
95 "infiniteUsefulLife": false,
96 "transferOfOwnership": false,
97 "specializedAsset": false,
98 "fairMarketValue": 1,
99 "residualValue": 1,
100 "endOfTermIntention": "TO_BE_DETERMINED",
101 "endOfTermDate": "2025-08-11",
102 "endOfTermPeriod": 9,
103 "activationDocumentDate": "2019-08-24",
104 "activationPostingDate": "2019-08-24",
105 "closingDocumentDate": "2019-08-24",
106 "closingPostingDate": "2019-08-24",
107 "numberRangeIdentifierType": {
108 "name": "COMPANY_CODE"
109 },
110 "numberRangeIdentifierValue": "1000",
111 "numberRangeType": {
112 "name": "CONTRACT"
113 },
114 "allowsSystemGenerateNewId": false
115 },
116 "leaseComponentId": 10000007,
117 "leaseComponentDisplayId": "LC-100000200",
118 "companyCodeId": 10000002,
119 "companyCodeDisplayId": "1000",
120 "splittedFromActivationGroupRevisionId": {
121 "id": 10000001,
122 "displayId": "0374999413-20250903-161147",
123 "name": "Inception",
124 "inception": true,
125 "revisionType": "REVISION",
126 "state": "MLA_DEFINE",
127 "approvedBy": "approver.admin@nakisa.com",
128 "approvedAt": "2019-08-24T14:15:22Z",
129 "parentRevisionId": 10000000,
130 "approverComment": "Approved after financial validation.",
131 "rouStartDate": "2025-08-01",
132 "rouEndDate": "2025-08-20",
133 "activationGroupModification": {
134 "modificationDate": "2025-08-15",
135 "terminationType": "CASUALTY",
136 "terminationDate": {
137 "timing": "START_OF_DAY",
138 "year": 2025,
139 "monthValue": 9,
140 "dayOfMonth": 4,
141 "dayOfWeek": "THURSDAY",
142 "leapYear": false,
143 "dayOfYear": 247,
144 "month": "SEPTEMBER"
145 },
146 "useManualFmvValue": true,
147 "useManualAssetValues": false,
148 "enforceNonLeaseOnIndexation": false,
149 "applyIndexationLease": true,
150 "applyIndexationNonLease": false,
151 "indexationTreatmentType": "DEFAULT",
152 "indexationStartDate": "2025-09-01",
153 "indexationDateType": "USER_DEFINED",
154 "indexationStartDateNonLease": "2025-09-10",
155 "indexationDateTypeNonLease": "USER_DEFINED",
156 "modificationReasons": [
157 "CONTRACT_RATE_CHANGE",
158 "INDEXATION"
159 ],
160 "modificationPerClassificationList": [
161 {
162 "accountingStandardId": 1001,
163 "classificationType": "NON_LEASE",
164 "accountingStandardType": "IFRS",
165 "impairmentAmount": 2500.5,
166 "recoverableAmount": 2000,
167 "decreaseInAsset": 1500,
168 "decreaseInTerm": 6
169 }
170 ],
171 "massIndexationTaskId": 987654
172 },
173 "activationGroupId": 10000001,
174 "activationGroupDisplayId": "AG-100000000",
175 "activationGroupName": "Test2",
176 "leaseComponentRevisionId": 10000007,
177 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
178 "lastLeaseComponentRevisionId": 10000006,
179 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
180 "clonedFromRevisionId": 10000002,
181 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
182 "lockReason": "PENDING_TERMINATION",
183 "infiniteUsefulLife": false,
184 "transferOfOwnership": false,
185 "specializedAsset": false,
186 "fairMarketValue": 1,
187 "residualValue": 1,
188 "endOfTermIntention": "TO_BE_DETERMINED",
189 "endOfTermDate": "2025-08-11",
190 "endOfTermPeriod": 9,
191 "activationDocumentDate": "2019-08-24",
192 "activationPostingDate": "2019-08-24",
193 "closingDocumentDate": "2019-08-24",
194 "closingPostingDate": "2019-08-24",
195 "numberRangeIdentifierType": {
196 "name": "COMPANY_CODE"
197 },
198 "numberRangeIdentifierValue": "1000",
199 "numberRangeType": {
200 "name": "CONTRACT"
201 },
202 "allowsSystemGenerateNewId": false
203 },
204 "notifications": [
205 {
206 "id": 100045,
207 "topic": {
208 "enCaption": "Lease Component Updated",
209 "frCaption": "Composant de bail mis à jour",
210 "name": "LEASE_COMPONENT_UPDATED",
211 "priority": "HIGH"
212 },
213 "username": "jdoe",
214 "activationGroupId": 20000123,
215 "activationGroupDisplayId": "AG-100045",
216 "targetId": "jdoe@example.com",
217 "targetType": "USER"
218 }
219 ],
220 "transferInfo": {
221 "transferredFromDisplayId": "CTR-00012",
222 "transferredFromRevisionId": 20000001,
223 "transferredToDisplayId": "CTR-00015",
224 "transferredToRevisionId": 20000005
225 },
226 "numberRangeIdentifierType": {
227 "name": "COMPANY_CODE"
228 },
229 "numberRangeIdentifierValue": "1000",
230 "numberRangeType": {
231 "name": "CONTRACT"
232 },
233 "allowsSystemGenerateNewId": false
234 }
235]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
All activation groups successfully updated. |
Example Responses
1{
2 "code": "OK",
3 "message": "Successfully retrieved list of activation groups.",
4 "defaultMessage": "Operation completed successfully.",
5 "debugMessage": "No errors occurred during the query execution.",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": [
18 {
19 "id": 10000001,
20 "displayId": "AG-100000000",
21 "principalPositionType": "LESSEE",
22 "name": "Test2",
23 "description": "test2",
24 "approverComment": "Approved after review",
25 "snapshotData": {
26 "isParallelCurrencyEnabled": true,
27 "isCostCenterAllocationEnabled": false,
28 "useSpotRateForGroupCurrency": true,
29 "exchangeRateTypes": [
30 {
31 "currencyDefinitionType": "CONTRACT_CURRENCY",
32 "sourceCurrencyType": "COMPANY_CURRENCY",
33 "translationDateType": "POSTING_DATE",
34 "targetCurrency": {
35 "id": "string",
36 "displayId": "US Dollar",
37 "decimalPoints": 2
38 },
39 "referenceCurrency": {
40 "id": "string",
41 "displayId": "Euro"
42 },
43 "currencyType": "GROUP_CURRENCY",
44 "exchangeRateType": "STANDARD"
45 }
46 ]
47 },
48 "revision": {
49 "id": 10000001,
50 "displayId": "0374999413-20250903-161147",
51 "name": "Inception",
52 "inception": true,
53 "revisionType": "REVISION",
54 "state": "MLA_DEFINE",
55 "approvedBy": "approver.admin@nakisa.com",
56 "approvedAt": "2019-08-24T14:15:22Z",
57 "parentRevisionId": 10000000,
58 "approverComment": "Approved after financial validation.",
59 "rouStartDate": "2025-08-01",
60 "rouEndDate": "2025-08-20",
61 "activationGroupModification": {
62 "modificationDate": "2025-08-15",
63 "terminationType": "CASUALTY",
64 "terminationDate": {
65 "timing": "START_OF_DAY",
66 "year": 2025,
67 "monthValue": 9,
68 "dayOfMonth": 4,
69 "dayOfWeek": "THURSDAY",
70 "leapYear": false,
71 "dayOfYear": 247,
72 "month": "SEPTEMBER"
73 },
74 "useManualFmvValue": true,
75 "useManualAssetValues": false,
76 "enforceNonLeaseOnIndexation": false,
77 "applyIndexationLease": true,
78 "applyIndexationNonLease": false,
79 "indexationTreatmentType": "DEFAULT",
80 "indexationStartDate": "2025-09-01",
81 "indexationDateType": "USER_DEFINED",
82 "indexationStartDateNonLease": "2025-09-10",
83 "indexationDateTypeNonLease": "USER_DEFINED",
84 "modificationReasons": [
85 "CONTRACT_RATE_CHANGE",
86 "INDEXATION"
87 ],
88 "modificationPerClassificationList": [
89 {
90 "accountingStandardId": 1001,
91 "classificationType": "NON_LEASE",
92 "accountingStandardType": "IFRS",
93 "impairmentAmount": 2500.5,
94 "recoverableAmount": 2000,
95 "decreaseInAsset": 1500,
96 "decreaseInTerm": 6
97 }
98 ],
99 "massIndexationTaskId": 987654
100 },
101 "activationGroupId": 10000001,
102 "activationGroupDisplayId": "AG-100000000",
103 "activationGroupName": "Test2",
104 "leaseComponentRevisionId": 10000007,
105 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
106 "lastLeaseComponentRevisionId": 10000006,
107 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
108 "clonedFromRevisionId": 10000002,
109 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
110 "lockReason": "PENDING_TERMINATION",
111 "infiniteUsefulLife": false,
112 "transferOfOwnership": false,
113 "specializedAsset": false,
114 "fairMarketValue": 1,
115 "residualValue": 1,
116 "endOfTermIntention": "TO_BE_DETERMINED",
117 "endOfTermDate": "2025-08-11",
118 "endOfTermPeriod": 9,
119 "activationDocumentDate": "2019-08-24",
120 "activationPostingDate": "2019-08-24",
121 "closingDocumentDate": "2019-08-24",
122 "closingPostingDate": "2019-08-24",
123 "numberRangeIdentifierType": {
124 "name": "COMPANY_CODE"
125 },
126 "numberRangeIdentifierValue": "1000",
127 "numberRangeType": {
128 "name": "CONTRACT"
129 },
130 "allowsSystemGenerateNewId": false
131 },
132 "leaseComponentId": 10000007,
133 "leaseComponentDisplayId": "LC-100000200",
134 "companyCodeId": 10000002,
135 "companyCodeDisplayId": "1000",
136 "splittedFromActivationGroupRevisionId": {
137 "id": 10000001,
138 "displayId": "0374999413-20250903-161147",
139 "name": "Inception",
140 "inception": true,
141 "revisionType": "REVISION",
142 "state": "MLA_DEFINE",
143 "approvedBy": "approver.admin@nakisa.com",
144 "approvedAt": "2019-08-24T14:15:22Z",
145 "parentRevisionId": 10000000,
146 "approverComment": "Approved after financial validation.",
147 "rouStartDate": "2025-08-01",
148 "rouEndDate": "2025-08-20",
149 "activationGroupModification": {
150 "modificationDate": "2025-08-15",
151 "terminationType": "CASUALTY",
152 "terminationDate": {
153 "timing": "START_OF_DAY",
154 "year": 2025,
155 "monthValue": 9,
156 "dayOfMonth": 4,
157 "dayOfWeek": "THURSDAY",
158 "leapYear": false,
159 "dayOfYear": 247,
160 "month": "SEPTEMBER"
161 },
162 "useManualFmvValue": true,
163 "useManualAssetValues": false,
164 "enforceNonLeaseOnIndexation": false,
165 "applyIndexationLease": true,
166 "applyIndexationNonLease": false,
167 "indexationTreatmentType": "DEFAULT",
168 "indexationStartDate": "2025-09-01",
169 "indexationDateType": "USER_DEFINED",
170 "indexationStartDateNonLease": "2025-09-10",
171 "indexationDateTypeNonLease": "USER_DEFINED",
172 "modificationReasons": [
173 "CONTRACT_RATE_CHANGE",
174 "INDEXATION"
175 ],
176 "modificationPerClassificationList": [
177 {
178 "accountingStandardId": 1001,
179 "classificationType": "NON_LEASE",
180 "accountingStandardType": "IFRS",
181 "impairmentAmount": 2500.5,
182 "recoverableAmount": 2000,
183 "decreaseInAsset": 1500,
184 "decreaseInTerm": 6
185 }
186 ],
187 "massIndexationTaskId": 987654
188 },
189 "activationGroupId": 10000001,
190 "activationGroupDisplayId": "AG-100000000",
191 "activationGroupName": "Test2",
192 "leaseComponentRevisionId": 10000007,
193 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
194 "lastLeaseComponentRevisionId": 10000006,
195 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
196 "clonedFromRevisionId": 10000002,
197 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
198 "lockReason": "PENDING_TERMINATION",
199 "infiniteUsefulLife": false,
200 "transferOfOwnership": false,
201 "specializedAsset": false,
202 "fairMarketValue": 1,
203 "residualValue": 1,
204 "endOfTermIntention": "TO_BE_DETERMINED",
205 "endOfTermDate": "2025-08-11",
206 "endOfTermPeriod": 9,
207 "activationDocumentDate": "2019-08-24",
208 "activationPostingDate": "2019-08-24",
209 "closingDocumentDate": "2019-08-24",
210 "closingPostingDate": "2019-08-24",
211 "numberRangeIdentifierType": {
212 "name": "COMPANY_CODE"
213 },
214 "numberRangeIdentifierValue": "1000",
215 "numberRangeType": {
216 "name": "CONTRACT"
217 },
218 "allowsSystemGenerateNewId": false
219 },
220 "notifications": [
221 {
222 "id": 100045,
223 "topic": {
224 "enCaption": "Lease Component Updated",
225 "frCaption": "Composant de bail mis à jour",
226 "name": "LEASE_COMPONENT_UPDATED",
227 "priority": "HIGH"
228 },
229 "username": "jdoe",
230 "activationGroupId": 20000123,
231 "activationGroupDisplayId": "AG-100045",
232 "targetId": "jdoe@example.com",
233 "targetType": "USER"
234 }
235 ],
236 "transferInfo": {
237 "transferredFromDisplayId": "CTR-00012",
238 "transferredFromRevisionId": 20000001,
239 "transferredToDisplayId": "CTR-00015",
240 "transferredToRevisionId": 20000005
241 },
242 "numberRangeIdentifierType": {
243 "name": "COMPANY_CODE"
244 },
245 "numberRangeIdentifierValue": "1000",
246 "numberRangeType": {
247 "name": "CONTRACT"
248 },
249 "allowsSystemGenerateNewId": false
250 }
251 ]
252}
Search Activation Group¶
HTTP Request
POST /api/v1/activation-groups/search
📋 Description: Performs a filtered search and returns paginated results.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 10000001,
4 10000002,
5 10000003
6 ],
7 "idEqual": 10000001,
8 "idLike": "10000%",
9 "createdAtGreaterThanOrEqual": "2025-01-01T00:00:00Z",
10 "createdAtLessThanOrEqual": "2025-12-31T23:59:59Z",
11 "createdByLike": "admin%",
12 "createdByEqual": "super.admin@nakisa.com",
13 "modifiedAtGreaterThanOrEqual": "2025-06-01T00:00:00Z",
14 "modifiedAtLessThanOrEqual": "2025-07-01T23:59:59Z",
15 "modifiedByLike": "editor%",
16 "modifiedByEqual": "super.admin@nakisa.com",
17 "displayIdIn": [
18 "AG-100000000",
19 "AG-100000001"
20 ],
21 "displayIdLike": "AG-%",
22 "nameOrDisplayIdLike": "Test%",
23 "principalPositionTypeEqual": "LESSEE",
24 "nameLike": "Group A%",
25 "revisionIdEqual": 20000001,
26 "revisionTypeEqual": "ACTIVE",
27 "revisionStateEqual": "MLA_DEFINE",
28 "revisionStateIn": [
29 "MLA_DEFINE",
30 "MLA_ACTIVE"
31 ],
32 "leaseComponentIdIn": [
33 10000007,
34 10000008
35 ],
36 "leaseComponentDisplayIdIn": [
37 "LC-100000200",
38 "LC-100000201"
39 ],
40 "companyCodeIdIn": [
41 10000002,
42 10000003
43 ],
44 "companyCodeDisplayIdIn": [
45 "1000",
46 "2000"
47 ]
48}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Search results successfully returned. |
Example Responses
1{
2 "totalPages": 1,
3 "totalElements": 76,
4 "numberOfElements": 76,
5 "size": 100,
6 "content": [
7 {
8 "id": 10000001,
9 "displayId": "AG-100000000",
10 "principalPositionType": "LESSEE",
11 "name": "Test2",
12 "description": "test2",
13 "approverComment": "Approved after review",
14 "snapshotData": {
15 "isParallelCurrencyEnabled": true,
16 "isCostCenterAllocationEnabled": false,
17 "useSpotRateForGroupCurrency": true,
18 "exchangeRateTypes": [
19 {
20 "currencyDefinitionType": "CONTRACT_CURRENCY",
21 "sourceCurrencyType": "COMPANY_CURRENCY",
22 "translationDateType": "POSTING_DATE",
23 "targetCurrency": {
24 "id": "string",
25 "displayId": "US Dollar",
26 "decimalPoints": 2
27 },
28 "referenceCurrency": {
29 "id": "string",
30 "displayId": "Euro"
31 },
32 "currencyType": "GROUP_CURRENCY",
33 "exchangeRateType": "STANDARD"
34 }
35 ]
36 },
37 "revision": {
38 "id": 10000001,
39 "displayId": "0374999413-20250903-161147",
40 "name": "Inception",
41 "inception": true,
42 "revisionType": "REVISION",
43 "state": "MLA_DEFINE",
44 "approvedBy": "approver.admin@nakisa.com",
45 "approvedAt": "2019-08-24T14:15:22Z",
46 "parentRevisionId": 10000000,
47 "approverComment": "Approved after financial validation.",
48 "rouStartDate": "2025-08-01",
49 "rouEndDate": "2025-08-20",
50 "activationGroupModification": {
51 "modificationDate": "2025-08-15",
52 "terminationType": "CASUALTY",
53 "terminationDate": {
54 "timing": "START_OF_DAY",
55 "year": 2025,
56 "monthValue": 9,
57 "dayOfMonth": 4,
58 "dayOfWeek": "THURSDAY",
59 "leapYear": false,
60 "dayOfYear": 247,
61 "month": "SEPTEMBER"
62 },
63 "useManualFmvValue": true,
64 "useManualAssetValues": false,
65 "enforceNonLeaseOnIndexation": false,
66 "applyIndexationLease": true,
67 "applyIndexationNonLease": false,
68 "indexationTreatmentType": "DEFAULT",
69 "indexationStartDate": "2025-09-01",
70 "indexationDateType": "USER_DEFINED",
71 "indexationStartDateNonLease": "2025-09-10",
72 "indexationDateTypeNonLease": "USER_DEFINED",
73 "modificationReasons": [
74 "CONTRACT_RATE_CHANGE",
75 "INDEXATION"
76 ],
77 "modificationPerClassificationList": [
78 {
79 "accountingStandardId": 1001,
80 "classificationType": "NON_LEASE",
81 "accountingStandardType": "IFRS",
82 "impairmentAmount": 2500.5,
83 "recoverableAmount": 2000,
84 "decreaseInAsset": 1500,
85 "decreaseInTerm": 6
86 }
87 ],
88 "massIndexationTaskId": 987654
89 },
90 "activationGroupId": 10000001,
91 "activationGroupDisplayId": "AG-100000000",
92 "activationGroupName": "Test2",
93 "leaseComponentRevisionId": 10000007,
94 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
95 "lastLeaseComponentRevisionId": 10000006,
96 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
97 "clonedFromRevisionId": 10000002,
98 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
99 "lockReason": "PENDING_TERMINATION",
100 "infiniteUsefulLife": false,
101 "transferOfOwnership": false,
102 "specializedAsset": false,
103 "fairMarketValue": 1,
104 "residualValue": 1,
105 "endOfTermIntention": "TO_BE_DETERMINED",
106 "endOfTermDate": "2025-08-11",
107 "endOfTermPeriod": 9,
108 "activationDocumentDate": "2019-08-24",
109 "activationPostingDate": "2019-08-24",
110 "closingDocumentDate": "2019-08-24",
111 "closingPostingDate": "2019-08-24",
112 "numberRangeIdentifierType": {
113 "name": "COMPANY_CODE"
114 },
115 "numberRangeIdentifierValue": "1000",
116 "numberRangeType": {
117 "name": "CONTRACT"
118 },
119 "allowsSystemGenerateNewId": false
120 },
121 "leaseComponentId": 10000007,
122 "leaseComponentDisplayId": "LC-100000200",
123 "companyCodeId": 10000002,
124 "companyCodeDisplayId": "1000",
125 "splittedFromActivationGroupRevisionId": {
126 "id": 10000001,
127 "displayId": "0374999413-20250903-161147",
128 "name": "Inception",
129 "inception": true,
130 "revisionType": "REVISION",
131 "state": "MLA_DEFINE",
132 "approvedBy": "approver.admin@nakisa.com",
133 "approvedAt": "2019-08-24T14:15:22Z",
134 "parentRevisionId": 10000000,
135 "approverComment": "Approved after financial validation.",
136 "rouStartDate": "2025-08-01",
137 "rouEndDate": "2025-08-20",
138 "activationGroupModification": {
139 "modificationDate": "2025-08-15",
140 "terminationType": "CASUALTY",
141 "terminationDate": {
142 "timing": "START_OF_DAY",
143 "year": 2025,
144 "monthValue": 9,
145 "dayOfMonth": 4,
146 "dayOfWeek": "THURSDAY",
147 "leapYear": false,
148 "dayOfYear": 247,
149 "month": "SEPTEMBER"
150 },
151 "useManualFmvValue": true,
152 "useManualAssetValues": false,
153 "enforceNonLeaseOnIndexation": false,
154 "applyIndexationLease": true,
155 "applyIndexationNonLease": false,
156 "indexationTreatmentType": "DEFAULT",
157 "indexationStartDate": "2025-09-01",
158 "indexationDateType": "USER_DEFINED",
159 "indexationStartDateNonLease": "2025-09-10",
160 "indexationDateTypeNonLease": "USER_DEFINED",
161 "modificationReasons": [
162 "CONTRACT_RATE_CHANGE",
163 "INDEXATION"
164 ],
165 "modificationPerClassificationList": [
166 {
167 "accountingStandardId": 1001,
168 "classificationType": "NON_LEASE",
169 "accountingStandardType": "IFRS",
170 "impairmentAmount": 2500.5,
171 "recoverableAmount": 2000,
172 "decreaseInAsset": 1500,
173 "decreaseInTerm": 6
174 }
175 ],
176 "massIndexationTaskId": 987654
177 },
178 "activationGroupId": 10000001,
179 "activationGroupDisplayId": "AG-100000000",
180 "activationGroupName": "Test2",
181 "leaseComponentRevisionId": 10000007,
182 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
183 "lastLeaseComponentRevisionId": 10000006,
184 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
185 "clonedFromRevisionId": 10000002,
186 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
187 "lockReason": "PENDING_TERMINATION",
188 "infiniteUsefulLife": false,
189 "transferOfOwnership": false,
190 "specializedAsset": false,
191 "fairMarketValue": 1,
192 "residualValue": 1,
193 "endOfTermIntention": "TO_BE_DETERMINED",
194 "endOfTermDate": "2025-08-11",
195 "endOfTermPeriod": 9,
196 "activationDocumentDate": "2019-08-24",
197 "activationPostingDate": "2019-08-24",
198 "closingDocumentDate": "2019-08-24",
199 "closingPostingDate": "2019-08-24",
200 "numberRangeIdentifierType": {
201 "name": "COMPANY_CODE"
202 },
203 "numberRangeIdentifierValue": "1000",
204 "numberRangeType": {
205 "name": "CONTRACT"
206 },
207 "allowsSystemGenerateNewId": false
208 },
209 "notifications": [
210 {
211 "id": 100045,
212 "topic": {
213 "enCaption": "Lease Component Updated",
214 "frCaption": "Composant de bail mis à jour",
215 "name": "LEASE_COMPONENT_UPDATED",
216 "priority": "HIGH"
217 },
218 "username": "jdoe",
219 "activationGroupId": 20000123,
220 "activationGroupDisplayId": "AG-100045",
221 "targetId": "jdoe@example.com",
222 "targetType": "USER"
223 }
224 ],
225 "transferInfo": {
226 "transferredFromDisplayId": "CTR-00012",
227 "transferredFromRevisionId": 20000001,
228 "transferredToDisplayId": "CTR-00015",
229 "transferredToRevisionId": 20000005
230 },
231 "numberRangeIdentifierType": {
232 "name": "COMPANY_CODE"
233 },
234 "numberRangeIdentifierValue": "1000",
235 "numberRangeType": {
236 "name": "CONTRACT"
237 },
238 "allowsSystemGenerateNewId": false
239 }
240 ],
241 "number": 0,
242 "sort": {
243 "unsorted": false,
244 "sorted": true,
245 "empty": false
246 },
247 "pageable": {
248 "unpaged": false,
249 "pageSize": 100,
250 "paged": true,
251 "offset": 0,
252 "sort": {
253 "unsorted": false,
254 "sorted": true,
255 "empty": false
256 },
257 "pageNumber": 0
258 },
259 "first": true,
260 "last": true,
261 "empty": false
262}
List All Activation Groups¶
HTTP Request
GET /api/v1/activation-groups
📋 Description: Returns a paginated list of all activation groups.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
false |
Pagination parameters including page, size, and sort. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved list of activation groups. |
Example Responses
1{
2 "totalPages": 1,
3 "totalElements": 76,
4 "numberOfElements": 76,
5 "size": 100,
6 "content": [
7 {
8 "id": 10000001,
9 "displayId": "AG-100000000",
10 "principalPositionType": "LESSEE",
11 "name": "Test2",
12 "description": "test2",
13 "approverComment": "Approved after review",
14 "snapshotData": {
15 "isParallelCurrencyEnabled": true,
16 "isCostCenterAllocationEnabled": false,
17 "useSpotRateForGroupCurrency": true,
18 "exchangeRateTypes": [
19 {
20 "currencyDefinitionType": "CONTRACT_CURRENCY",
21 "sourceCurrencyType": "COMPANY_CURRENCY",
22 "translationDateType": "POSTING_DATE",
23 "targetCurrency": {
24 "id": "string",
25 "displayId": "US Dollar",
26 "decimalPoints": 2
27 },
28 "referenceCurrency": {
29 "id": "string",
30 "displayId": "Euro"
31 },
32 "currencyType": "GROUP_CURRENCY",
33 "exchangeRateType": "STANDARD"
34 }
35 ]
36 },
37 "revision": {
38 "id": 10000001,
39 "displayId": "0374999413-20250903-161147",
40 "name": "Inception",
41 "inception": true,
42 "revisionType": "REVISION",
43 "state": "MLA_DEFINE",
44 "approvedBy": "approver.admin@nakisa.com",
45 "approvedAt": "2019-08-24T14:15:22Z",
46 "parentRevisionId": 10000000,
47 "approverComment": "Approved after financial validation.",
48 "rouStartDate": "2025-08-01",
49 "rouEndDate": "2025-08-20",
50 "activationGroupModification": {
51 "modificationDate": "2025-08-15",
52 "terminationType": "CASUALTY",
53 "terminationDate": {
54 "timing": "START_OF_DAY",
55 "year": 2025,
56 "monthValue": 9,
57 "dayOfMonth": 4,
58 "dayOfWeek": "THURSDAY",
59 "leapYear": false,
60 "dayOfYear": 247,
61 "month": "SEPTEMBER"
62 },
63 "useManualFmvValue": true,
64 "useManualAssetValues": false,
65 "enforceNonLeaseOnIndexation": false,
66 "applyIndexationLease": true,
67 "applyIndexationNonLease": false,
68 "indexationTreatmentType": "DEFAULT",
69 "indexationStartDate": "2025-09-01",
70 "indexationDateType": "USER_DEFINED",
71 "indexationStartDateNonLease": "2025-09-10",
72 "indexationDateTypeNonLease": "USER_DEFINED",
73 "modificationReasons": [
74 "CONTRACT_RATE_CHANGE",
75 "INDEXATION"
76 ],
77 "modificationPerClassificationList": [
78 {
79 "accountingStandardId": 1001,
80 "classificationType": "NON_LEASE",
81 "accountingStandardType": "IFRS",
82 "impairmentAmount": 2500.5,
83 "recoverableAmount": 2000,
84 "decreaseInAsset": 1500,
85 "decreaseInTerm": 6
86 }
87 ],
88 "massIndexationTaskId": 987654
89 },
90 "activationGroupId": 10000001,
91 "activationGroupDisplayId": "AG-100000000",
92 "activationGroupName": "Test2",
93 "leaseComponentRevisionId": 10000007,
94 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
95 "lastLeaseComponentRevisionId": 10000006,
96 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
97 "clonedFromRevisionId": 10000002,
98 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
99 "lockReason": "PENDING_TERMINATION",
100 "infiniteUsefulLife": false,
101 "transferOfOwnership": false,
102 "specializedAsset": false,
103 "fairMarketValue": 1,
104 "residualValue": 1,
105 "endOfTermIntention": "TO_BE_DETERMINED",
106 "endOfTermDate": "2025-08-11",
107 "endOfTermPeriod": 9,
108 "activationDocumentDate": "2019-08-24",
109 "activationPostingDate": "2019-08-24",
110 "closingDocumentDate": "2019-08-24",
111 "closingPostingDate": "2019-08-24",
112 "numberRangeIdentifierType": {
113 "name": "COMPANY_CODE"
114 },
115 "numberRangeIdentifierValue": "1000",
116 "numberRangeType": {
117 "name": "CONTRACT"
118 },
119 "allowsSystemGenerateNewId": false
120 },
121 "leaseComponentId": 10000007,
122 "leaseComponentDisplayId": "LC-100000200",
123 "companyCodeId": 10000002,
124 "companyCodeDisplayId": "1000",
125 "splittedFromActivationGroupRevisionId": {
126 "id": 10000001,
127 "displayId": "0374999413-20250903-161147",
128 "name": "Inception",
129 "inception": true,
130 "revisionType": "REVISION",
131 "state": "MLA_DEFINE",
132 "approvedBy": "approver.admin@nakisa.com",
133 "approvedAt": "2019-08-24T14:15:22Z",
134 "parentRevisionId": 10000000,
135 "approverComment": "Approved after financial validation.",
136 "rouStartDate": "2025-08-01",
137 "rouEndDate": "2025-08-20",
138 "activationGroupModification": {
139 "modificationDate": "2025-08-15",
140 "terminationType": "CASUALTY",
141 "terminationDate": {
142 "timing": "START_OF_DAY",
143 "year": 2025,
144 "monthValue": 9,
145 "dayOfMonth": 4,
146 "dayOfWeek": "THURSDAY",
147 "leapYear": false,
148 "dayOfYear": 247,
149 "month": "SEPTEMBER"
150 },
151 "useManualFmvValue": true,
152 "useManualAssetValues": false,
153 "enforceNonLeaseOnIndexation": false,
154 "applyIndexationLease": true,
155 "applyIndexationNonLease": false,
156 "indexationTreatmentType": "DEFAULT",
157 "indexationStartDate": "2025-09-01",
158 "indexationDateType": "USER_DEFINED",
159 "indexationStartDateNonLease": "2025-09-10",
160 "indexationDateTypeNonLease": "USER_DEFINED",
161 "modificationReasons": [
162 "CONTRACT_RATE_CHANGE",
163 "INDEXATION"
164 ],
165 "modificationPerClassificationList": [
166 {
167 "accountingStandardId": 1001,
168 "classificationType": "NON_LEASE",
169 "accountingStandardType": "IFRS",
170 "impairmentAmount": 2500.5,
171 "recoverableAmount": 2000,
172 "decreaseInAsset": 1500,
173 "decreaseInTerm": 6
174 }
175 ],
176 "massIndexationTaskId": 987654
177 },
178 "activationGroupId": 10000001,
179 "activationGroupDisplayId": "AG-100000000",
180 "activationGroupName": "Test2",
181 "leaseComponentRevisionId": 10000007,
182 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
183 "lastLeaseComponentRevisionId": 10000006,
184 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
185 "clonedFromRevisionId": 10000002,
186 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
187 "lockReason": "PENDING_TERMINATION",
188 "infiniteUsefulLife": false,
189 "transferOfOwnership": false,
190 "specializedAsset": false,
191 "fairMarketValue": 1,
192 "residualValue": 1,
193 "endOfTermIntention": "TO_BE_DETERMINED",
194 "endOfTermDate": "2025-08-11",
195 "endOfTermPeriod": 9,
196 "activationDocumentDate": "2019-08-24",
197 "activationPostingDate": "2019-08-24",
198 "closingDocumentDate": "2019-08-24",
199 "closingPostingDate": "2019-08-24",
200 "numberRangeIdentifierType": {
201 "name": "COMPANY_CODE"
202 },
203 "numberRangeIdentifierValue": "1000",
204 "numberRangeType": {
205 "name": "CONTRACT"
206 },
207 "allowsSystemGenerateNewId": false
208 },
209 "notifications": [
210 {
211 "id": 100045,
212 "topic": {
213 "enCaption": "Lease Component Updated",
214 "frCaption": "Composant de bail mis à jour",
215 "name": "LEASE_COMPONENT_UPDATED",
216 "priority": "HIGH"
217 },
218 "username": "jdoe",
219 "activationGroupId": 20000123,
220 "activationGroupDisplayId": "AG-100045",
221 "targetId": "jdoe@example.com",
222 "targetType": "USER"
223 }
224 ],
225 "transferInfo": {
226 "transferredFromDisplayId": "CTR-00012",
227 "transferredFromRevisionId": 20000001,
228 "transferredToDisplayId": "CTR-00015",
229 "transferredToRevisionId": 20000005
230 },
231 "numberRangeIdentifierType": {
232 "name": "COMPANY_CODE"
233 },
234 "numberRangeIdentifierValue": "1000",
235 "numberRangeType": {
236 "name": "CONTRACT"
237 },
238 "allowsSystemGenerateNewId": false
239 }
240 ],
241 "number": 0,
242 "sort": {
243 "unsorted": false,
244 "sorted": true,
245 "empty": false
246 },
247 "pageable": {
248 "unpaged": false,
249 "pageSize": 100,
250 "paged": true,
251 "offset": 0,
252 "sort": {
253 "unsorted": false,
254 "sorted": true,
255 "empty": false
256 },
257 "pageNumber": 0
258 },
259 "first": true,
260 "last": true,
261 "empty": false
262}
Retrieves An Activation Group¶
HTTP Request
GET /api/v1/activation-groups/revision/{revisionId}
📋 Description: Retrieves an activation group by revisionID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
revisionId |
path |
integer |
true |
The unique identifier of revisionID to retrieve activation group. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
revisionId |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved activation group |
Example Responses
1{
2 "code": "OK",
3 "message": "Successfully retrieved an activation group.",
4 "defaultMessage": "Operation completed successfully.",
5 "debugMessage": "No errors occurred during the query execution.",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {
18 "id": 10000001,
19 "displayId": "AG-100000000",
20 "principalPositionType": "LESSEE",
21 "name": "Test2",
22 "description": "test2",
23 "approverComment": "Approved after review",
24 "snapshotData": {
25 "isParallelCurrencyEnabled": true,
26 "isCostCenterAllocationEnabled": false,
27 "useSpotRateForGroupCurrency": true,
28 "exchangeRateTypes": [
29 {
30 "currencyDefinitionType": "CONTRACT_CURRENCY",
31 "sourceCurrencyType": "COMPANY_CURRENCY",
32 "translationDateType": "POSTING_DATE",
33 "targetCurrency": {
34 "id": "string",
35 "displayId": "US Dollar",
36 "decimalPoints": 2
37 },
38 "referenceCurrency": {
39 "id": "string",
40 "displayId": "Euro"
41 },
42 "currencyType": "GROUP_CURRENCY",
43 "exchangeRateType": "STANDARD"
44 }
45 ]
46 },
47 "revision": {
48 "id": 10000001,
49 "displayId": "0374999413-20250903-161147",
50 "name": "Inception",
51 "inception": true,
52 "revisionType": "REVISION",
53 "state": "MLA_DEFINE",
54 "approvedBy": "approver.admin@nakisa.com",
55 "approvedAt": "2019-08-24T14:15:22Z",
56 "parentRevisionId": 10000000,
57 "approverComment": "Approved after financial validation.",
58 "rouStartDate": "2025-08-01",
59 "rouEndDate": "2025-08-20",
60 "activationGroupModification": {
61 "modificationDate": "2025-08-15",
62 "terminationType": "CASUALTY",
63 "terminationDate": {
64 "timing": "START_OF_DAY",
65 "year": 2025,
66 "monthValue": 9,
67 "dayOfMonth": 4,
68 "dayOfWeek": "THURSDAY",
69 "leapYear": false,
70 "dayOfYear": 247,
71 "month": "SEPTEMBER"
72 },
73 "useManualFmvValue": true,
74 "useManualAssetValues": false,
75 "enforceNonLeaseOnIndexation": false,
76 "applyIndexationLease": true,
77 "applyIndexationNonLease": false,
78 "indexationTreatmentType": "DEFAULT",
79 "indexationStartDate": "2025-09-01",
80 "indexationDateType": "USER_DEFINED",
81 "indexationStartDateNonLease": "2025-09-10",
82 "indexationDateTypeNonLease": "USER_DEFINED",
83 "modificationReasons": [
84 "CONTRACT_RATE_CHANGE",
85 "INDEXATION"
86 ],
87 "modificationPerClassificationList": [
88 {
89 "accountingStandardId": 1001,
90 "classificationType": "NON_LEASE",
91 "accountingStandardType": "IFRS",
92 "impairmentAmount": 2500.5,
93 "recoverableAmount": 2000,
94 "decreaseInAsset": 1500,
95 "decreaseInTerm": 6
96 }
97 ],
98 "massIndexationTaskId": 987654
99 },
100 "activationGroupId": 10000001,
101 "activationGroupDisplayId": "AG-100000000",
102 "activationGroupName": "Test2",
103 "leaseComponentRevisionId": 10000007,
104 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
105 "lastLeaseComponentRevisionId": 10000006,
106 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
107 "clonedFromRevisionId": 10000002,
108 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
109 "lockReason": "PENDING_TERMINATION",
110 "infiniteUsefulLife": false,
111 "transferOfOwnership": false,
112 "specializedAsset": false,
113 "fairMarketValue": 1,
114 "residualValue": 1,
115 "endOfTermIntention": "TO_BE_DETERMINED",
116 "endOfTermDate": "2025-08-11",
117 "endOfTermPeriod": 9,
118 "activationDocumentDate": "2019-08-24",
119 "activationPostingDate": "2019-08-24",
120 "closingDocumentDate": "2019-08-24",
121 "closingPostingDate": "2019-08-24",
122 "numberRangeIdentifierType": {
123 "name": "COMPANY_CODE"
124 },
125 "numberRangeIdentifierValue": "1000",
126 "numberRangeType": {
127 "name": "CONTRACT"
128 },
129 "allowsSystemGenerateNewId": false
130 },
131 "leaseComponentId": 10000007,
132 "leaseComponentDisplayId": "LC-100000200",
133 "companyCodeId": 10000002,
134 "companyCodeDisplayId": "1000",
135 "splittedFromActivationGroupRevisionId": {
136 "id": 10000001,
137 "displayId": "0374999413-20250903-161147",
138 "name": "Inception",
139 "inception": true,
140 "revisionType": "REVISION",
141 "state": "MLA_DEFINE",
142 "approvedBy": "approver.admin@nakisa.com",
143 "approvedAt": "2019-08-24T14:15:22Z",
144 "parentRevisionId": 10000000,
145 "approverComment": "Approved after financial validation.",
146 "rouStartDate": "2025-08-01",
147 "rouEndDate": "2025-08-20",
148 "activationGroupModification": {
149 "modificationDate": "2025-08-15",
150 "terminationType": "CASUALTY",
151 "terminationDate": {
152 "timing": "START_OF_DAY",
153 "year": 2025,
154 "monthValue": 9,
155 "dayOfMonth": 4,
156 "dayOfWeek": "THURSDAY",
157 "leapYear": false,
158 "dayOfYear": 247,
159 "month": "SEPTEMBER"
160 },
161 "useManualFmvValue": true,
162 "useManualAssetValues": false,
163 "enforceNonLeaseOnIndexation": false,
164 "applyIndexationLease": true,
165 "applyIndexationNonLease": false,
166 "indexationTreatmentType": "DEFAULT",
167 "indexationStartDate": "2025-09-01",
168 "indexationDateType": "USER_DEFINED",
169 "indexationStartDateNonLease": "2025-09-10",
170 "indexationDateTypeNonLease": "USER_DEFINED",
171 "modificationReasons": [
172 "CONTRACT_RATE_CHANGE",
173 "INDEXATION"
174 ],
175 "modificationPerClassificationList": [
176 {
177 "accountingStandardId": 1001,
178 "classificationType": "NON_LEASE",
179 "accountingStandardType": "IFRS",
180 "impairmentAmount": 2500.5,
181 "recoverableAmount": 2000,
182 "decreaseInAsset": 1500,
183 "decreaseInTerm": 6
184 }
185 ],
186 "massIndexationTaskId": 987654
187 },
188 "activationGroupId": 10000001,
189 "activationGroupDisplayId": "AG-100000000",
190 "activationGroupName": "Test2",
191 "leaseComponentRevisionId": 10000007,
192 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
193 "lastLeaseComponentRevisionId": 10000006,
194 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
195 "clonedFromRevisionId": 10000002,
196 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
197 "lockReason": "PENDING_TERMINATION",
198 "infiniteUsefulLife": false,
199 "transferOfOwnership": false,
200 "specializedAsset": false,
201 "fairMarketValue": 1,
202 "residualValue": 1,
203 "endOfTermIntention": "TO_BE_DETERMINED",
204 "endOfTermDate": "2025-08-11",
205 "endOfTermPeriod": 9,
206 "activationDocumentDate": "2019-08-24",
207 "activationPostingDate": "2019-08-24",
208 "closingDocumentDate": "2019-08-24",
209 "closingPostingDate": "2019-08-24",
210 "numberRangeIdentifierType": {
211 "name": "COMPANY_CODE"
212 },
213 "numberRangeIdentifierValue": "1000",
214 "numberRangeType": {
215 "name": "CONTRACT"
216 },
217 "allowsSystemGenerateNewId": false
218 },
219 "notifications": [
220 {
221 "id": 100045,
222 "topic": {
223 "enCaption": "Lease Component Updated",
224 "frCaption": "Composant de bail mis à jour",
225 "name": "LEASE_COMPONENT_UPDATED",
226 "priority": "HIGH"
227 },
228 "username": "jdoe",
229 "activationGroupId": 20000123,
230 "activationGroupDisplayId": "AG-100045",
231 "targetId": "jdoe@example.com",
232 "targetType": "USER"
233 }
234 ],
235 "transferInfo": {
236 "transferredFromDisplayId": "CTR-00012",
237 "transferredFromRevisionId": 20000001,
238 "transferredToDisplayId": "CTR-00015",
239 "transferredToRevisionId": 20000005
240 },
241 "numberRangeIdentifierType": {
242 "name": "COMPANY_CODE"
243 },
244 "numberRangeIdentifierValue": "1000",
245 "numberRangeType": {
246 "name": "CONTRACT"
247 },
248 "allowsSystemGenerateNewId": false
249 }
250}